=== misc/CMakeLists.txt ===
# SPDX-FileCopyrightText: None
#
# SPDX-License-Identifier: CC0-1.0

add_subdirectory(im-config)
add_subdirectory(systemd)
add_subdirectory(dsg)
