=== misc/dsg/CMakeLists.txt ===
set(DCONFIG_FILES
    org.deepin.dde.dim.json
)

install(FILES ${DCONFIG_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/dsg/configs/org.deepin.dde.dim)
