=== src/addons/CMakeLists.txt ===
add_subdirectory(waylandserver)
add_subdirectory(wlfrontend)
add_subdirectory(keyboard)
add_subdirectory(fcitx5)
add_subdirectory(ibus)
add_subdirectory(trayicon)
