=== src/common/CMakeLists.txt ===
add_library(shm_open_anon OBJECT
    shm_open_anon.h
    shm_open_anon.c
)
