=== debian/changelog ===
deepin-im (1.0.3) unstable; urgency=medium

  * fix: treeland foreign toplevel manager protocols mismatch with dim

 -- dengbo <dengbo@deepin.org>  Thu, 25 Jan 2024 10:26:57 +0800

deepin-im (1.0.2) unstable; urgency=medium

  * feat(wayland): 支持同时使用多输入法
  * chore(im-config): use fcitx5 in x11
  * feat: ibus use wayland protocol communication

 -- dengbo <dengbo@deepin.org>  Fri, 12 Jan 2023 13:44:50 +0800

deepin-im (1.0.1) unstable; urgency=medium

  * release deepin input method 1.0.1.

 -- dengbo <dengbo@deepin.org>  Mon, 18 Dec 2023 11:36:05 +0800

deepin-im (1.0.0) unstable; urgency=medium

  * Initial release.

 -- dengbo <dengbo@deepin.org>  Thu, 17 Aug 2023 09:31:07 +0800
