=== debian/control ===
Source: deepin-im
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Rules-Requires-Root: no
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 extra-cmake-modules,
 libdtk6core-dev,
 libdtk6gui-dev,
 libfcitx5-qt6-dev,
 libglib2.0-dev,
 libgtk-3-dev,
 libgtk-4-dev,
 libudev-dev,
 libwayland-dev,
 libwlroots-dev,
 libxcb-util-dev,
 libxcb-xinput-dev,
 libxcb1-dev,
 libxkbcommon-dev,
 pkg-config,
 qt6-base-dev,
 qt6-base-private-dev,
 qt6-declarative-dev,
 qt6-wayland-dev,
 qtbase5-private-dev,
 xkb-data,
Standards-Version: 4.6.2
Homepage: https://www.deepin.org

Package: deepin-im
Architecture: any
Multi-Arch: foreign
Depends:
 qml6-module-qt-labs-platform,
 qml6-module-qtqml-workerscript,
 qml6-module-qtquick,
 qml6-module-qtquick-window,
 ${misc:Depends},
 ${shlibs:Depends},
Description: deepin input method
 deepin input method is input method in deepin desktop environment,
 it can support ibus and fcitx input method framework.
